## mon 1.2.0

=== mon.d/Makefile ===
#
# $Id: Makefile,v 1.1.1.1 2004/06/09 05:18:05 trockij Exp $
#
# compiles on Linux, Solaris 2.5, Solaris 2.6, and AIX Version 4.2
#
CC = gcc
CFLAGS = -O2 -Wall -g
LDFLAGS =
LDLIBS =
# uncomment next line for Solaris
# LDLIBS = -lnsl -lsocket

MONPATH=/usr/lib/mon
DIALIN_MONITOR_REAL=$(MONPATH)/mon.d/dialin.monitor

PROGS = rpc.monitor dialin.monitor.wrap

all: $(PROGS)

rpc.monitor: rpc.monitor.c
	$(CC) -o rpc.monitor $(CFLAGS) $(LDFLAGS) rpc.monitor.c $(LDLIBS)

dialin.monitor.wrap: dialin.monitor.wrap.c
	$(CC) -o dialin.monitor.wrap $(CFLAGS) $(LDFLAGS) \
		-DREAL_DIALIN_MONITOR=\"$(DIALIN_MONITOR_REAL)\" \
		dialin.monitor.wrap.c

clean:
	rm -f $(PROGS)

install:
	install -d $(MONPATH)/mon.d
	install rpc.monitor $(MONPATH)/mon.d/
	install -g uucp -m 02555 dialin.monitor.wrap $(MONPATH)/mon.d/

=== debian/changelog ===
mon (1.2.0-9+nmu4) unstable; urgency=medium

  * Use the correct name for the tmpfiles.d file  Closes: #851354

 -- Russell Coker <russell@coker.com.au>  Mon, 16 Jan 2017 12:16:21 +1100

mon (1.2.0-9+nmu3) unstable; urgency=medium

  * Add sslcert.monitor to check certificate expiry and smtpswaks.monitor to
    check mail servers with swaks

 -- Russell Coker <russell@coker.com.au>  Wed, 21 Dec 2016 21:08:11 +1100

mon (1.2.0-9+nmu2) unstable; urgency=medium

  * Move freespace.monitor to local directory.

 -- Russell Coker <russell@coker.com.au>  Wed, 21 Dec 2016 20:47:11 +1100

mon (1.2.0-9+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Make default config bind to 127.0.0.1  Closes: #820712
  * Add restorecon and tmpfiles.d file     Closes: #822606
  * Don't specify config options on both the default command-line and the
    default configuration file  Closes: #821360
  * Move local monitor scripts to /usr/lib/mon/mon-local.d to separate them
    from network checks  Closes: #847437
  * Added remote.monitor to this package and made it strict. Closes: #847441
    Fixed the problems with it Closes: #824176
  * Added ps.monitor and made it strict. Also made it handle perl, python,
    and lua5.1 interpreters correctly. Closes: #847444
  * Conflicts with mon-contrib <= 1.0+dfsg-3 because of remote.monitor and
    ps.monitor
  * Added mailxmpp.alert, an alert that sends mail and XMPP messages
  * Added linux-temp.monitor for local system temperature and loadavg.monitor
  * Extended ping.monitor to support ipv6 and specifying the ping count

 -- Russell Coker <russell@coker.com.au>  Mon, 12 Dec 2016 10:00:22 +1100

mon (1.2.0-9) unstable; urgency=medium

  * debian/control: 
    - Bump Standards-Version to 3.9.6 (no changes)
    - libtime-modules-perl has been renamed by upstream, so it was 
      updated to it's current name 'libtime-parsedate-perl'
      (Closes: #749875)
  * debian/mon.init.d: required-start facility changed from $all to 
    $syslog to deal with lintian error:
    "E: mon: init.d-script-depends-on-all-virtual-facility 
    etc/init.d/mon required-start"
  * debian/copyright: Years updated to 2014

 -- Dario Minnucci <midget@debian.org>  Sun, 26 Oct 2014 16:23:52 +0100

mon (1.2.0-8) unstable; urgency=low

  * debian/patches:
    - Added 06-fix-dns-monitor.diff: Fixes use of deprecated 
      defined(@array) calls. Thanks to Brogniaux Gaëtan.
      (Closes: #731737)
  * debian/control:
    - Bump Standards-Version to 3.9.5 (no changes)

 -- Dario Minnucci <midget@debian.org>  Tue, 31 Dec 2013 04:16:37 +0100

mon (1.2.0-7) unstable; urgency=low

  * debian/copyright:
    - Upstream-Source URL updated. (Closes: #659993)
    - Years updated to 2013
  * debian/watch: Modified to use SF sources. Thanks to Nick Black.
    (Closes: #695242)
  * debian/mon.dirs: Added /var/lib/mon. Thanks to Andreas Beckmann.
    (Closes: #661087)
  * debian/control:
    - Bump Standards-Version to 3.9.4 (no changes)
    - Use canonical URI on VCS-* fields

 -- Dario Minnucci <midget@debian.org>  Thu, 21 Feb 2013 03:18:47 +0100

mon (1.2.0-6) unstable; urgency=low

  * debian/control: Really set debhelper compat to >=9.
  * debian/copyright: Source URL updated.
    - Thanks to Jari Aalto <jari.aalto@cante.net> (Closes: #655357) 
  * debian/patches:
    - 04-fix-659152-report.monitor-ignores-command-line-options.diff 
      Fix for report.monitor ignores command-line options. Thanks to 
      Kevin McCormick <kevin@yidtastic.com> (Closes: #659152)
  * debian/mon.postrm: Fix to not remove user 'mon' twice.
    (Closes: #656351)

 -- Dario Minnucci <midget@debian.org>  Sun, 12 Feb 2012 17:00:45 +0100

mon (1.2.0-5) unstable; urgency=low

  * Enable hardened build flags:
    - Added patch 00-mon-hardened-build-flags.diff.
    - Set debhelper compat to 9.
    - Added debian/source.lintian-overrides
      Thanks to Moritz Muehlenhoff. (Closes: #655137)
  * debian/copyright: Copyright years updated.
  * debian/control: Homepage URL updated.

 -- Dario Minnucci <midget@debian.org>  Tue, 10 Jan 2012 13:55:53 +0100

mon (1.2.0-4) unstable; urgency=low

  * debian/mon.{postinst,postrm,preinst}: Better handling of 'mon' 
    user creation/deletion. (Closes: #628082)
  * debian/mon.postinst: Change ownership on /var/log/mon/ to let the
    daemon to write logfiles. (Closes: #645981)
  * debian/copyright:
    - Copyright years updated.
    - Updated for DEP-5 compatibility.
  * debian/control: Upgrade debhelper to >=8
  * debian/mon.doc: Don't install changelog twice.

 -- Dario Minnucci <midget@debian.org>  Fri, 25 Nov 2011 11:28:26 +0100

mon (1.2.0-3) unstable; urgency=low

  * debian/control: Bump Standards-Version to 3.9.2
  * List of dropped alerts and monitors that will be provided by
    a new package 'mon-contrib':
    - 06-add-imap-ssl.monitor.diff
    - 06-add-ipvs.alert.diff
    - 06-add-ipvs.monitor.diff
    - 06-add-smblist.monitor.diff
  * debian/patches:
    - Remove from 04-fix-SNMP-module-calls.diff previous patching
      about SNMP module call on file mon/mon.d/hpnp.monitor.
      Thanks to Marc F. Clemente <marc@mclemente.net> (Closes: #613720)
  * debian/README.Debian: Fix for lintian warning:
    spelling-error-in-readme-debian

 -- Dario Minnucci <midget@debian.org>  Mon, 11 Jul 2011 11:04:57 +0200

mon (1.2.0-2) unstable; urgency=low

  * Hosted under git.debian.org (collab-main branch):
    http://git.debian.org/?p=collab-maint/mon.git
  * debian/control:
    - Updated debhelper dependency to (>= 7.0.50~)
    - Added Vcs-Git and Vcs-Browser fileds
    - Bump Standards-Version to 3.9.1:
      - Switch to dpkg-source 3.0 (quilt) format
  * debian/patches:
    - Added 01-fix-logging-to-syslog.diff. (Closes:#611751)
      Thanks to Allan Wind <allan_wind@lifeintegrity.com>
    - 04-fix-SNMP-module-calls.diff: Modified to use SNMP module.
      (Closes:#596292). Thanks to Marc F. Clemente <marc@mclemente.net>
  * debian/README.Debian:
    - Typos fixed


=== debian/control ===
Source: mon
Section: admin
Priority: extra
Maintainer: Dario Minnucci <midget@debian.org>
Build-Depends: debhelper (>= 9), perl, libtime-period-perl
Standards-Version: 3.9.6
Homepage: https://mon.wiki.kernel.org
Vcs-Git: git://anonscm.debian.org/collab-maint/mon.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mon.git

Package: mon
Architecture: any
Depends: mon-client (>= 1.2.0), libtime-period-perl, adduser, ${shlibs:Depends}, ${misc:Depends}
Recommends: fping, libauthen-pam-perl, libfilesys-diskspace-perl, libnet-perl, libnet-dns-perl, libnet-ldap-perl, libnet-telnet-perl, libsnmp-perl, libstatistics-descriptive-perl, libtime-parsedate-perl, libcrypt-ssleay-perl
Suggests: mon-contrib
Conflicts: mon-contrib (<= 1.0+dfsg-3)
Description: monitor hosts/services/whatever and alert about problems
 "mon" is a tool for monitoring the availability of services.  Services
 may be network-related, environmental conditions, or anything that can
 be tested with software.  If a service is unavailable mon can tell you
 with syslog, email, your pager or a script of your choice.  You can
 control who gets each alert based on the time of day or day of week,
 and you can control how often an existing problem is re-alerted.
 .
 More information can be found at http://mon.wiki.kernel.org

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	cd mon.d && $(MAKE) clean && cd $(CURDIR)

override_dh_auto_build:
	dh_auto_build
	cd mon.d && $(MAKE) CFLAGS="$(CFLAGS)" && cd $(CURDIR)

override_dh_install:
	dh_install
	chmod +x $(CURDIR)/debian/mon/usr/lib/mon/alert.d/*.alert
	chmod +x $(CURDIR)/debian/mon/usr/lib/mon/mon.d/*.monitor
	rm $(CURDIR)/debian/mon/usr/lib/mon/mon.d/freespace.monitor
	chmod +x $(CURDIR)/debian/mon/usr/lib/mon/mon-local.d/*.monitor
	chmod +x $(CURDIR)/debian/mon/usr/lib/mon/bin/*


override_dh_installman:
	dh_installman clients/skymon/skymon.1 doc/mon.8 doc/moncmd.1 doc/monshow.1 doc/monfailures.1
